| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Private Attributes | List of all members
TBBMessageSvc Class Reference

`#include <src/MessageSvc/TBBMessageSvc.h>`

Inheritance diagram for TBBMessageSvc:
[legend]
Collaboration diagram for TBBMessageSvc:
[legend]

## Classes
class | MessageTaskCommon
| Common base class for the different reportMessage cases. More...
class | MessageWithLevel
| Specialized class to report a message with explicit output level. More...
class | MessageWithoutLevel
| Specialized class to report a message with implicit output level. More...
class | StatusCodeMessage
| Specialized class to report a StatusCode message. More...

## Public Member Functions
| TBBMessageSvc (const std::string &name, ISvcLocator *pSvcLocator)
| Standard constructor. More...
| ~TBBMessageSvc () override
| Destructor. More...
StatusCode | initialize () override
| Initialization of the service. More...
StatusCode | finalize () override
| Finalization of the service. More...
void | reportMessage (const Message &msg) override
| Implementation of IMessageSvc::reportMessage() More...
void | reportMessage (const Message &msg, int outputLevel) override
| Implementation of IMessageSvc::reportMessage() More...
void | reportMessage (const StatusCode &code, const std::string &source="") override
| Implementation of IMessageSvc::reportMessage() More...
Public Member Functions inherited from MessageSvc
| MessageSvc (const std::string &name, ISvcLocator *svcloc)
| ~MessageSvc () override=default
StatusCode | reinitialize () override
| Reinitialize Service. More...
StatusCode | initialize () override
| Initialize Service. More...
StatusCode | finalize () override
| Finalize Service. More...
void | reportMessage (const Message &message) override
void | reportMessage (const Message &msg, int outputLevel) override
void | reportMessage (const StatusCode &code, const std::string &source="") override
void | reportMessage (const char *source, int type, const char *message) override
void | reportMessage (const std::string &source, int type, const std::string &message) override
void | insertMessage (const StatusCode &code, const Message &message) override
void | eraseMessage () override
void | eraseMessage (const StatusCode &code) override
void | eraseMessage (const StatusCode &code, const Message &message) override
void | insertStream (int message_type, const std::string &name, std::ostream *stream) override
void | eraseStream () override
void | eraseStream (int message_type) override
void | eraseStream (int message_type, std::ostream *stream) override
void | eraseStream (std::ostream *stream) override
std::ostream * | defaultStream () const override
void | setDefaultStream (std::ostream *stream) override
int | outputLevel () const override
int | outputLevel (const std::string &source) const override
void | setOutputLevel (int new_level) override
void | setOutputLevel (const std::string &source, int new_level) override
bool | useColor () const override
std::string | getLogColor (int logLevel) const override
int | messageCount (MSG::Level logLevel) const override
void | incrInactiveCount (MSG::Level level, const std::string &src) override
Public Member Functions inherited from extends< Service, IMessageSvc, IInactiveMessageCounter >
void * | i_cast (const InterfaceID &tid) const override
| Implementation of IInterface::i_cast. More...
StatusCode | queryInterface (const InterfaceID &ti, void **pp) override
| Implementation of IInterface::queryInterface. More...
std::vector< std::string > | getInterfaceNames () const override
| Implementation of IInterface::getInterfaceNames. More...
| ~extends () override=default
| Virtual destructor. More...
Public Member Functions inherited from Service
const std::string & | name () const override
| Retrieve name of the service. More...
StatusCode | configure () override
StatusCode | initialize () override
StatusCode | start () override
StatusCode | stop () override
StatusCode | finalize () override
StatusCode | terminate () override
Gaudi::StateMachine::State | FSMState () const override
Gaudi::StateMachine::State | targetFSMState () const override
StatusCode | reinitialize () override
StatusCode | restart () override
StatusCode | sysInitialize () override
| Initialize Service. More...
StatusCode | sysStart () override
| Initialize Service. More...
StatusCode | sysStop () override
| Initialize Service. More...
StatusCode | sysFinalize () override
| Finalize Service. More...
StatusCode | sysReinitialize () override
| Re-initialize the Service. More...
StatusCode | sysRestart () override
| Re-initialize the Service. More...
| Service (std::string name, ISvcLocator *svcloc)
| Standard Constructor. More...
SmartIF< ISvcLocator > & | serviceLocator () const override
| Retrieve pointer to service locator. More...
StatusCode | setProperties ()
| Method for setting declared properties to the values specified for the job. More...
template<class T >
StatusCode | service (const std::string &name, const T *&psvc, bool createIf=true) const
| Access a service by name, creating it if it doesn't already exist. More...
template<class T >
StatusCode | service (const std::string &name, T *&psvc, bool createIf=true) const
template<typename IFace = IService>
SmartIF< IFace > | service (const std::string &name, bool createIf=true) const
template<class T >
StatusCode | service (const std::string &svcType, const std::string &svcName, T *&psvc) const
| Access a service by name and type, creating it if it doesn't already exist. More...
template<class T >
StatusCode | declarePrivateTool (ToolHandle< T > &handle, std::string toolTypeAndName="", bool createIf=true)
| Declare used Private tool. More...
template<class T >
StatusCode | declarePublicTool (ToolHandle< T > &handle, std::string toolTypeAndName="", bool createIf=true)
| Declare used Public tool. More...
SmartIF< IAuditorSvc > & | auditorSvc () const
| The standard auditor service.May not be invoked before sysInitialize() has been invoked. More...
Public Member Functions inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
| PropertyHolder ()=default
| ~PropertyHolder () override=default
Gaudi::Details::PropertyBase & | declareProperty (Gaudi::Details::PropertyBase &prop)
| Declare a property. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, TYPE &value, const std::string &doc="none")
| Helper to wrap a regular data member and use it as a regular property. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, TYPE &value, const std::string &doc="none") const
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, Gaudi::Property< TYPE, VERIFIER, HANDLERS > &prop, const std::string &doc="none")
| Declare a PropertyBase instance setting name and documentation. More...
Gaudi::Details::PropertyBase * | declareRemoteProperty (const std::string &name, IProperty *rsvc, const std::string &rname="")
| Declare a remote property. More...
StatusCode | setProperty (const Gaudi::Details::PropertyBase &p) override
| set the property form another property More...
StatusCode | setProperty (const std::string &s) override
| set the property from the formatted string More...
StatusCode | setProperty (const std::string &n, const std::string &v) override
| set the property from name and the value More...
StatusCode | setProperty (const std::string &name, const TYPE &value)
| set the property form the value More...
StatusCode | getProperty (Gaudi::Details::PropertyBase *p) const override
| get the property More...
const Gaudi::Details::PropertyBase & | getProperty (const std::string &name) const override
| get the property by name More...
StatusCode | getProperty (const std::string &n, std::string &v) const override
| convert the property to the string More...
const std::vector< Gaudi::Details::PropertyBase * > & | getProperties () const override
| get all properties More...
bool | hasProperty (const std::string &name) const override
| Return true if we have a property with the given name. More...
| PropertyHolder (const PropertyHolder &)=delete
PropertyHolder & | operator= (const PropertyHolder &)=delete
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, GaudiHandleBase &ref, const std::string &doc="none")
| Specializations for various GaudiHandles. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, GaudiHandleArrayBase &ref, const std::string &doc="none")
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, DataObjectHandleBase &ref, const std::string &doc="none")
Public Member Functions inherited from CommonMessagingBase
virtual | ~CommonMessagingBase ()=default
| Virtual destructor. More...
SmartIF< IMessageSvc > & | msgSvc () const
| The standard message service. More...
MsgStream & | msgStream () const
| Return an uninitialized MsgStream. More...
MsgStream & | msgStream (const MSG::Level level) const
| Predefined configurable message stream for the efficient printouts. More...
MsgStream & | always () const
| shortcut for the method msgStream(MSG::ALWAYS) More...
MsgStream & | fatal () const
| shortcut for the method msgStream(MSG::FATAL) More...
MsgStream & | err () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | error () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | warning () const
| shortcut for the method msgStream(MSG::WARNING) More...
MsgStream & | info () const
| shortcut for the method msgStream(MSG::INFO) More...
MsgStream & | debug () const
| shortcut for the method msgStream(MSG::DEBUG) More...
MsgStream & | verbose () const
| shortcut for the method msgStream(MSG::VERBOSE) More...
MsgStream & | msg () const
| shortcut for the method msgStream(MSG::INFO) More...
MSG::Level | msgLevel () const
| get the output level from the embedded MsgStream More...
MSG::Level | outputLevel () const __attribute__((deprecated))
| Backward compatibility function for getting the output level. More...
bool | msgLevel (MSG::Level lvl) const
| get the output level from the embedded MsgStream More...
Public Member Functions inherited from extend_interfaces< Interfaces... >
| ~extend_interfaces () override=default
| Virtual destructor. More...

## Private Attributes
Gaudi::SerialTaskQueue | m_messageQueue

## Additional Inherited Members
Public Types inherited from MessageSvc
typedef std::pair< std::string, std::ostream * > | NamedStream
typedef std::multimap< int, NamedStream > | StreamMap
typedef std::multimap< StatusCode, Message > | MessageMap
typedef std::map< std::string, int > | ThresholdMap
Public Types inherited from extends< Service, IMessageSvc, IInactiveMessageCounter >
using | base_class = extends
| Typedef to this class. More...
using | extend_interfaces_base = extend_interfaces< Interfaces... >
| Typedef to the base of this class. More...
Public Types inherited from Service
typedef Gaudi::PluginService::Factory< IService *, const std::string &, ISvcLocator * > | Factory
Public Types inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
using | PropertyHolderImpl = PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
| Typedef used to refer to this class from derived classes, as in. More...
Public Types inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
using | base_class = CommonMessaging
Public Types inherited from extend_interfaces< Interfaces... >
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids... >::type
| take union of the ext_iids of all Interfaces... More...
Protected Member Functions inherited from MessageSvc
virtual void | i_reportMessage (const Message &msg, int outputLevel)
| Internal implementation of reportMessage(const Message&,int) without lock. More...
virtual void | i_reportMessage (const StatusCode &code, const std::string &source)
| Internal implementation of reportMessage(const StatusCode&,const std::string&) without lock. More...
Protected Member Functions inherited from Service
| ~Service () override
| Standard Destructor. More...
int | outputLevel () const
| get the `Service's` output level More...
Protected Member Functions inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
Gaudi::Details::PropertyBase * | property (const std::string &name) const
Protected Member Functions inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
void | updateMsgStreamOutputLevel (int level)
| Update the output level of the cached MsgStream. More...
Protected Attributes inherited from Service
Gaudi::StateMachine::State | m_state = Gaudi::StateMachine::OFFLINE
| Service state. More...
Gaudi::StateMachine::State | m_targetState = Gaudi::StateMachine::OFFLINE
| Service state. More...
Gaudi::Property< int > | m_outputLevel {this, "OutputLevel", MSG::NIL, "output level"}
Gaudi::Property< bool > | m_auditInit {this, "AuditServices", false, "[[deprecated]] unused"}
Gaudi::Property< bool > | m_auditorInitialize {this, "AuditInitialize", false, "trigger auditor on initialize()"}
Gaudi::Property< bool > | m_auditorStart {this, "AuditStart", false, "trigger auditor on start()"}
Gaudi::Property< bool > | m_auditorStop {this, "AuditStop", false, "trigger auditor on stop()"}
Gaudi::Property< bool > | m_auditorFinalize {this, "AuditFinalize", false, "trigger auditor on finalize()"}
Gaudi::Property< bool > | m_auditorReinitialize {this, "AuditReinitialize", false, "trigger auditor on reinitialize()"}
Gaudi::Property< bool > | m_auditorRestart {this, "AuditRestart", false, "trigger auditor on restart()"}
SmartIF< IAuditorSvc > | m_pAuditorSvc
| Auditor Service. More...

## Detailed Description

Definition at line 20 of file TBBMessageSvc.h.

## Constructor & Destructor Documentation

TBBMessageSvc::TBBMessageSvc | ( | const std::string & | name,
|  | ISvcLocator * | pSvcLocator
| ) |  |

Standard constructor.

Definition at line 18 of file TBBMessageSvc.cpp.

19 : MessageSvc(name, pSvcLocator)
20 {
21 }
MessageSvc::MessageSvc
MessageSvc(const std::string &name, ISvcLocator *svcloc)
Definition: MessageSvc.cpp:73

TBBMessageSvc::~TBBMessageSvc | ( |  | ) |
| override

Destructor.

Definition at line 26 of file TBBMessageSvc.cpp.

26 {
27 }

## Member Function Documentation

StatusCode TBBMessageSvc::finalize | ( |  | ) |
| override

Finalization of the service.

Definition at line 42 of file TBBMessageSvc.cpp.

42 {
43 return MessageSvc::finalize(); // must be called after all other actions
44 }
MessageSvc::finalize
StatusCode finalize() override
Finalize Service.
Definition: MessageSvc.cpp:227

StatusCode TBBMessageSvc::initialize | ( |  | ) |
| override

Initialization of the service.

Definition at line 32 of file TBBMessageSvc.cpp.

32 {
33 StatusCode sc = MessageSvc::initialize(); // must be executed first
34 if ( sc.isFailure() ) return sc; // error printed already by MessageSvc
35
36 return StatusCode::SUCCESS;
37 }
StatusCode::SUCCESS
Definition: StatusCode.h:30
StatusCode::isFailure
bool isFailure() const
Test for a status code of FAILURE.
Definition: StatusCode.h:84
MessageSvc::initialize
StatusCode initialize() override
Initialize Service.
Definition: MessageSvc.cpp:98
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26

void TBBMessageSvc::reportMessage | ( | const Message & | msg | ) |
| override

Implementation of IMessageSvc::reportMessage()

Definition at line 50 of file TBBMessageSvc.cpp.

50 {
51 m_messageQueue.add(new MessageWithoutLevel(*this, msg));
52 }
TBBMessageSvc::m_messageQueue
Gaudi::SerialTaskQueue m_messageQueue
Definition: TBBMessageSvc.h:104
Gaudi::SerialTaskQueue::add
void add(WorkItem *item)
Enqueue a WorkItem for execution.
Definition: SerialTaskQueue.cpp:22

void TBBMessageSvc::reportMessage | ( | const Message & | msg,
|  | int | outputLevel
| ) |  |
| override

Implementation of IMessageSvc::reportMessage()

Definition at line 46 of file TBBMessageSvc.cpp.

46 {
47 m_messageQueue.add(new MessageWithLevel(*this, msg, outputLevel));
48 }
TBBMessageSvc::m_messageQueue
Gaudi::SerialTaskQueue m_messageQueue
Definition: TBBMessageSvc.h:104
Gaudi::SerialTaskQueue::add
void add(WorkItem *item)
Enqueue a WorkItem for execution.
Definition: SerialTaskQueue.cpp:22
MessageSvc::outputLevel
int outputLevel() const override
Definition: MessageSvc.cpp:576

void TBBMessageSvc::reportMessage | ( | const StatusCode & | code,
|  | const std::string & | source = `""`
| ) |  |
| override

Implementation of IMessageSvc::reportMessage()

Definition at line 54 of file TBBMessageSvc.cpp.

54 {
55 m_messageQueue.add(new StatusCodeMessage(*this, code, source));
56 }
TBBMessageSvc::m_messageQueue
Gaudi::SerialTaskQueue m_messageQueue
Definition: TBBMessageSvc.h:104
Gaudi::SerialTaskQueue::add
void add(WorkItem *item)
Enqueue a WorkItem for execution.
Definition: SerialTaskQueue.cpp:22

## Member Data Documentation

Gaudi::SerialTaskQueue TBBMessageSvc::m_messageQueue
| private

Definition at line 104 of file TBBMessageSvc.h.

The documentation for this class was generated from the following files:

- GaudiCoreSvc/src/MessageSvc/TBBMessageSvc.h
- GaudiCoreSvc/src/MessageSvc/TBBMessageSvc.cpp